#!/bin/bash

if [ "$1" = "" ]; then
  echo "Usage: $0 [-n] AA BB CC DD ..."
  echo " where AA BB are language codes as 'it fr'"
  echo " option -n print command instead of exec it."
fi

if [ "$1" = "-n" ]; then
  DEBUG=1
  shift
fi

for i in $@
do
  #check if i18n dir exist
  if [ -d $i ]; then
    if [ "$DEBUG" = "1" ]; then
      #Debug mode, just print
      echo "po4a-updatepo -f man -v -M utf-8 -m mc.1.in -p ${i}/mc.1.in.po"
    else
      po4a-updatepo -f man -v -M utf-8 -m mc.1.in -p ${i}/mc.1.in.po
    fi
  else
    echo "Warning: i18n dir '$i' does not exist!"
  fi
done